function [f,fx,ft]=trianglf(x,t)
% Example Ex:Triangle from chapter 3 
% Solve for angle C given three sides a,b,c
% variables are x=[cos(C)  sin(C)]
global abc1 abc0

% Use a linearly-interpolated path in parameter space
abc= t*abc1 + (1-t)*abc0;
a=abc(1);
b=abc(2);
c=abc(3);

% evaluate the function f 
f =[ ( x(1)^2       + x(2)^2-1 )
     ( (a*x(1)-b)^2 + (a*x(2))^2 - c^2 )];

% fx is Jacobian matrix w.r.t. x
fx=[   2*x(1)         2*x(2) 
       2*a*(a*x(1)-b) 2*a^2*x(2) ];

% ft is derivatives w.r.t. t
abct = abc1-abc0;
at=abct(1);
bt=abct(2);
ct=abct(3);

ft=[ 0
     2*(a*x(1)-b)*(at*x(1)-bt)+2*a*x(2)^2*at-2*c*ct];