function [f,df]=SGFun(x)
% equations for general Stewart-Gough forward kinematics
global AB1 AB2 AB3 AB4 AB5 AB6

f=zeros(7,1);
% leg lengths 1 to 6
xAB = [ 
   (x.' * AB1) 
   (x.' * AB2) 
   (x.' * AB3) 
   (x.' * AB4) 
   (x.' * AB5) 
   (x.' * AB6)
];
f(1:6) = 0.5*(xAB*x);
% Study quadric
f(7) = sum(x(1:4).*x(5:8));

% Jacobian
df=zeros(7,8);
df(1:6,:) = xAB;
df(7,:) = [ x(5:8,1).' x(1:4,1).'];
