function [f,fx,fp]=SGparfun(x,p)
% function and derivatives for solving Stewart-Gough platform via parameter continuation

% unpack variables
e=x(1:4);
g=x(5:8);

% unpack parameters
A = reshape(p(1:18),3,6);
B = reshape(p(19:36),3,6);
L = p(37:42);

f = zeros(7,1);
fx= zeros(7,8);

% 6 leg equations
if nargout<3,
  for ii=1:6
   [f(ii),fx(ii,:)] = stewleg(e,g,A(:,ii),B(:,ii),L(ii));
  end;
else
  fp= sparse(1,1,0,7,42,42);
  r = [1:3];
  for ii=1:6
   [f(ii),fx(ii,:),fa,fb,fl] = stewleg(e,g,A(:,ii),B(:,ii),L(ii));
   jj = 3*(ii-1)+r;
   fp(ii,[ jj jj+18 36+ii ]) = [fa fb fl];
  end;
end;

% Study quadric
f(7) = sum(e.*g);
fx(7,:) = [ g.' e.' ];
% fp(7,:) is zero