% filter out the meaningful roots

% First, pick out the ones computed well (hopefully all of them)
bad  = find(stats(3,:)>=1e-8);
good = find(stats(3,:)<1e-8);
xgood=xsoln(:,good);
sgood=stats(:,good);
sprintf('# of good solns = %d\n',length(good))

% See if any have one or more variables near zero
nozeros=find(log10(min(abs(xgood)))>-8);
xf=xgood(:,nozeros);
sf=sgood(:,nozeros);
sprintf('# of solns without zero variables = %d\n',length(nozeros))

% find if any have a degenerate quaternion for orientation
elen=sum(xf(1:4,:).^2);
notdegenerate=find(log10(abs(elen))>-8);
xnotd=xf(:,notdegenerate);
snotd=sf(:,notdegenerate);
nd=length(notdegenerate);
sprintf('# not degenerate = %d\n',nd)

