% Stewart-Gough solutions: filter out the meaningful roots

% First, pick out the ones computed well (hopefully all of them)
bad  = find(stats(3,:)>=1e-8);
good = find(stats(3,:)<1e-8);
xgood=xsoln(:,good);
sgood=stats(:,good);
sprintf('# of good solns = %d\n',length(good))

% find if any have a degenerate quaternion for orientation
elen=sum(xgood(1:4,:).^2);
notdegenerate=find(log10(abs(elen))>-8);
xnotd=xgood(:,notdegenerate);
statnotd=sgood(:,notdegenerate);
nd=length(notdegenerate);
sprintf('# not degenerate = %d\n',nd)

disp('The non-degenerate solutions are in "xnotd" and ')
disp('the corresponding statistics are in "statnotd."')
