function [f,df]=sgsecfun(x,coef)
% equations for general Stewart-Gough forward kinematics 
%  with pre-computed coefficient matrix

f=zeros(7,1);
% leg lengths 1 to 6
ABx = reshape(coef*x,8,6); 
f(1:6) = 0.5*(x.'*ABx).';
% Study quadric
f(7) = sum(x(1:4).*x(5:8));

% Jacobian
df=zeros(7,8);
df(1:6,:) = ABx.';
df(7,:) = [ x(5:8,1).' x(1:4,1).'];
