function [keep]=CstrFilt(points)
% Filter for (C*)^n, where C*= C\setminus 0.
% That is, return 1 for each point with all nonzero coordinates.
% Input:
%  points = points in C^n list columnwise
% Output:
%  keep(i) = 1, if points(:,i) is in (C*)^n; 0, else.
keep= (min(abs(points))>1e-10);