function [f,fz,fp]=circle(z,p)
% circle in plane.  Homogenized.
% parameters are [x0;y0;r] where (x0,y0)=center, r=radius
%
% This piece of code is written for clarity, not speed.

% rename variables
x =z(1);y =z(2);w=z(3);
x0=p(1);y0=p(2);r=p(3);
% function value, homogenized
f = (x-x0*w)^2 + (y-y0*w)^2 - (r*w)^2;
% derivatives
fz= 2*[ (x-x0*w)  (y-y0*w) -x0*(x-x0*w)-y0*(y-y0*w)-r^2*w ];
if nargout>2 % don't compute this unless it's asked for
	fp= 2*[ -w*(x-x0*w) -w*(y-y0*w) -r*w^2 ];
end