% Example:
%   To find solutions for the system 
%        x^2-2x+1=0,  x*y-1=0
%   using four continuation paths by running a total degree homotopy
%   and using the "tableau" format of specifying the system.  This is
%   a list of monomials and their coefficients.
%
%   Script totdtab decodes the tableau and launches a total-degree run
%
%   We expect double root, (x,y) = (1,1) and two roots at infinity
%
%   The double root demonstrates the effectiveness of the fractional 
%   power-series endgame.

% Define the target system in tableau form
eop = [0 -1 0];
tableau = [
     1 2 0
    -2 1 0
     1 0 0
     eop
     1 1 1
    -1 0 0
     eop
 ];
     

% decode tableau and solve
totdtab

disp('The solutions are:')
disp(dehomog(xsoln,1e-8))
