% Example:
%   To find solutions for the system 
%        x^4+4x^3+6x^2+4x+1=0,  x*y-1=0
%   using four continuation paths by running a total degree homotopy
%   and using the "tableau" format of specifying the system.  This is
%   a list of monomials and their coefficients.
%
%   We expect quadruple root, (x,y) = (-1,-1) 

% Define the target system in tableau form
eop = [0 -1 0];
tableau = [
     1 4 0
     4 3 0
     6 2 0
     4 1 0
     1 0 0
     eop
     1 1 1
    -1 0 0
     eop
 ];
     

% decode tableau and solve
totdtab

disp('The solutions are:')
disp(dehomog(xsoln,1e-8))
