% Example:
%   To find solutions for the system 
%        x^2-x-2=0,  x*y-1=0
%   using two continuation paths by running a two-homogeneous homotopy
%   and using the "tableau" format of specifying the system.  This is
%   a list of monomials and their coefficients.
%
%   Compared to the related example "simpltst", this version does
%   not require writing an m-file for the target function.  
%
%   We expect two solutions, (x,y) = (2,0.5) and (-1,-1)

% Define the target system in tableau form
eop = [0 -1 0];
tableau = [
     1 2 0
    -1 1 0
    -2 0 0
     eop
     1 1 1
    -1 0 0
     eop
 ];
 
% set up the 2-homogeneous structure
%  -> each row designates one group of variables
%  -> the homogenizing coordinates are appended in extra columns
HomStruct=[
   1 0 1 0  % x and its homogenizing coordinate
   0 1 0 1  % y and its homogenizing coordinate
];

% decode tableau and solve
mhomtab

disp('The solutions are:')
disp(dehomog(xsoln,1e-8,HomStruct))
