function [f,fz]=simplefcn2(z)
% Straight-line function for
%  x^2-x-2=0,  xy-1=0
% Two-homogeneous version on [x,u] \times [y,v]
x=z(1); y=z(2);
u=z(3); v=z(4);
f = [
   x^2-x*u-2*u^2
   x*y-u*v
];
fz = [
   2*x-u,  0, -x-4*u,   0
   y,      x,     -v,  -u
];
