% Example:
%   To find solutions for the system using two continuation paths
%        x^2-1=0,  x*y-1=0
%   use the following script
global nvar degrees FFUN
nvar=2;
degrees=[2 2];
LPDstruct=[1 0 1; 1 0 1;   1 0 1; 0 1 1];
HomStruct=[1 1 1];
homvar=3;
FFUN='simplfcn';
lpdsolve

disp('The solutions are:')
disp(dehomog(xsoln,1e-8))

%   where simplfcn.m is as follows:
%
% function [f,df]=simplfcn(x)
% f=[x(1)^2-x(3)^2; x(1)*x(2)-x(3)^2];
% df=[
% 2*x(1)   0   -2*x(3)
% x(2)   x(1)  -2*x(3)
% ];
