function [a]=crand(m,n)
% CRAND = random, complex matrix generator
%
% Can be called two ways:
%  A = crand(m,n); 
%  A = crand([m n]);
% Both give A as an m-by-n matrix of random complex numbers
% The second form is convenient as A = crand(size(B)).
%
% The numbers are generated uniformly in the unit box and
% then divided by their sqrt(abs()) value to skew them
% towards magnitude 1 (and especially, away from zero).
if nargin==1, 
    mm=m(1); nn=m(2);
else
    mm=m; nn=n;
end
a=2*( rand(mm,nn)  + 1i*rand(mm,nn) ) - (1+1i);
a= a./sqrt(abs(a));