function [p,dpt]=lin_path(pstart,pfinal,t)
% function [p,dpt]=lin_path(pstart,pfinal,t)
%
% linear homotopy path in parameter space from t=1 to t=0
%
% INPUTS
%   pstart = parameters at t=1
%   pfinal = parameters at t=0
%   t      = path variable that runs from 1 to 0
% OUTPUT
%   p   = parameters at current t
%   dpt = derivatives dp/dt
p=t*pstart+(1-t)*pfinal;
dpt=pstart-pfinal;