% totdtab
% A script for solving a system given in tableau format
% using a total degree homotopy
%
% Assume the tableau is in the workspace in matrix "tableau"
% which has
%   1) coefficients in first column
%   2) exponents of variables x1,...,xn in columns 2,...,(n+1)
%   3) end of polynomials marked with a -1 in column 2
%   4) we assume the system is NOT homogeneous, and we
%      one-homogenize it.

% decode the tableau and homogenize it
global nvar degrees
global nummono coeflist exponent
[npol,nvar,degrees,nummono,coeflist,exponent]=ftabprep(tableau);
if npol~=nvar
    error(['number of variables =', num2str(nvar),', must be equal to number of polynomials =' num2str(npol),'.'])
end

% total degree product structure
LPDstruct= ones(sum(degrees),nvar+1);
HomStruct=[];   % default to 1-hom
homvar=nvar+1;  % this is the new homogenizing coordinate added by ftabprep

% pass the function name via global FFUN
global FFUN
FFUN='ftabcall';

% solve it
lpdsolve
