% WITREPRT
% Report results of a witness superset run, either via witsup or cascade
% This script assumes the results are in the workspace in the cell arrays
%  generated by WITSUP or CASCADE (or by calls to these through WSUPTAB or
%  CASCTAB, which use the tableau interface).
%  The expected cell arrays are:
%     Wsuper, Stats, NonsolnStats DegenStats BadStats
% Caveat: this script labels solutions as singuler if the condition number
%     is greater than 10^8.  This works for mild systems, but it might not 
%     be appropriate for all systems.
nlevel=size(Wsuper,2);
for ii=1:nlevel, AllStats{ii} = [Stats{ii} NonsolnStats{ii} DegenStats{ii} BadStats{ii}]; end
disp(['Co-dim #path   #W sing NonSoln Degen  Bad   AvgNFE TotNFE'])
for ii=1:nlevel, 
    if isempty(Stats{ii})
        sing=[];
    else
        sing=Stats{ii}(5,:)>1e8;
    end
    nf=AllStats{ii}(6,:);
    disp(sprintf(' %3d    %4d %4d %4d    %4d  %4d %4d %8.2f %6d',...
      ii,size(AllStats{ii},2),size(Wsuper{ii},2),nnz(sing),...
      size(Nonsoln{ii},2),size(Degen{ii},2),size(Bad{ii},2), mean(nf), sum(nf) ));
%    disp([ii size(AllStats{ii},2) size(Wsuper{ii},2) nnz(sing) size(Nonsoln{ii},2) size(Degen{ii},2) size(Bad{ii},2), mean(nf) sum(nf)])
end
nfe=0; npath=0; for ii=1:nlevel, nfe=nfe+sum(AllStats{ii}(6,:)); npath=npath+size(AllStats{ii},2); end
disp(sprintf('total paths = %d, total nfe = %d\n',[npath nfe]))

